<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:15 CET 2009 -->
<TITLE>
Uses of Interface ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix
</TITLE>


<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="Uses of Interface ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/ReadableBigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableBigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<CENTER>
<H2>
<B>Uses of Interface<br>ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix</B></H2>
</CENTER>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Packages that use <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.compress"><B>ch.javasoft.metabolic.compress</B></A></TD>
<TD>The <tt>compress</tt> package and subpackages contain classes implementing 
compression strategies and consistency validation for metabolic networks.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.efm.column"><B>ch.javasoft.metabolic.efm.column</B></A></TD>
<TD>The <tt>column</tt> subpackage defines a 
<A HREF="../../../../../ch/javasoft/metabolic/efm/column/Column.html" title="interface in ch.javasoft.metabolic.efm.column"><CODE>column</CODE></A> interface representing
an (intermediary) elementary mode; implementations for different number types 
are available.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.metabolic.impl"><B>ch.javasoft.metabolic.impl</B></A></TD>
<TD>The <tt>impl</tt> subpackage contains implementations for the interfaces of the
<A HREF="../../../../../ch/javasoft/metabolic/package-summary.html"><CODE>metabolite</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.iface"><B>ch.javasoft.smx.iface</B></A></TD>
<TD>The <tt>smx.iface</tt> package contains interfaces representing matrices for
different number types.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.impl"><B>ch.javasoft.smx.impl</B></A></TD>
<TD>The <tt>smx.impl</tt> package contains classes implementing the interfaces
defined in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html"><CODE>iface</CODE></A> package.&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><A HREF="#ch.javasoft.smx.ops"><B>ch.javasoft.smx.ops</B></A></TD>
<TD>The <tt>smx.ops</tt> package contains classes for mathematical operations with
matrices, such as <A HREF="../../../../../ch/javasoft/smx/ops/Neg.html" title="class in ch.javasoft.smx.ops"><CODE>negation</CODE></A>,
<A HREF="../../../../../ch/javasoft/smx/ops/Transpose.html" title="class in ch.javasoft.smx.ops"><CODE>transposition</CODE></A>,
<A HREF="../../../../../ch/javasoft/smx/ops/Mul.html" title="class in ch.javasoft.smx.ops"><CODE>matrix multiplication</CODE></A> or different linear 
algebra methods based on <A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html" title="class in ch.javasoft.smx.ops"><CODE>Gaussian elimination</CODE></A>.&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.compress"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/compress/package-summary.html">ch.javasoft.metabolic.compress</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/compress/DuplicateGeneCompressor.CompressionRecord.html" title="class in ch.javasoft.metabolic.compress">DuplicateGeneCompressor.CompressionRecord</A></CODE></FONT></TD>
<TD><CODE><B>DuplicateGeneCompressor.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/DuplicateGeneCompressor.html#compress(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, boolean[], java.lang.String[], java.lang.String[], boolean)">compress</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;stoich,
                 boolean[]&nbsp;reversible,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;metaNames,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;reacNames,
                 boolean&nbsp;extended)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the compression record, containing 2 matrices 
 <tt>dupelim, dupfree</tt> such that
 <tt>stoich * dupelim == dupfree</tt>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.CompressionRecord.html" title="class in ch.javasoft.metabolic.compress">StoichMatrixCompressor.CompressionRecord</A></CODE></FONT></TD>
<TD><CODE><B>StoichMatrixCompressor.</B><B><A HREF="../../../../../ch/javasoft/metabolic/compress/StoichMatrixCompressor.html#compress(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, boolean[], java.lang.String[], java.lang.String[], java.util.Set)">compress</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;stoich,
                 boolean[]&nbsp;reversible,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;metaNames,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>[]&nbsp;reacNames,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/util/Set.html" title="class or interface in java.util">Set</A>&lt;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&gt;&nbsp;suppressedReactions)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the compression record, containing 3 matrices 
 <tt>pre, cmp, post</tt> such that
 <tt>pre * stoich * post == cmp</tt>.</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.efm.column"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/metabolic/efm/column/package-summary.html">ch.javasoft.metabolic.efm.column</A> that implement <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/column/VarIntMatrix.html" title="class in ch.javasoft.metabolic.efm.column">VarIntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>VarIntMatrix</code> wraps around a <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>BigIntegerMatrix</CODE></A></TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.metabolic.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/metabolic/impl/package-summary.html">ch.javasoft.metabolic.impl</A> that return <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected abstract &nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.AbstractBigIntegerMetaboliteRatio.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.AbstractBigIntegerMetaboliteRatio.html#getStoich()">getStoich</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getStoich(ch.javasoft.metabolic.MetabolicNetwork)">getStoich</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/MetabolicNetwork.html" title="interface in ch.javasoft.metabolic">MetabolicNetwork</A>&nbsp;net)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Returns the stoichiometric matrix for any given metabolic network as a
 big integer rational matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;?&gt;</CODE></FONT></TD>
<TD><CODE><B>FractionNumberStoichMetabolicNetwork.</B><B><A HREF="../../../../../ch/javasoft/metabolic/impl/FractionNumberStoichMetabolicNetwork.html#getStoichiometricMatrix()">getStoichiometricMatrix</A></B>()</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.iface"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Subinterfaces of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/iface/package-summary.html">ch.javasoft.smx.iface</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Readable/writable matrix based on <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/IntMatrix.html" title="interface in ch.javasoft.smx.iface">IntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntMatrix</code> TODO type javadoc for IntMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/IntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">IntRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>IntRationalMatrix</code> TODO type javadoc for IntRationalMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/LongMatrix.html" title="interface in ch.javasoft.smx.iface">LongMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/LongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">LongRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;(Readable) matrix based on <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/math/BigInteger.html" title="class or interface in java.math"><CODE>BigInteger</CODE></A> numbers</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableIntMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableIntMatrix</code> TODO type javadoc for ReadableIntMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableIntRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableIntRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>ReadableIntRationalMatrix</code> TODO type javadoc for ReadableIntRationalMatrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableLongMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;interface</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/iface/ReadableLongRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableLongRationalMatrix&lt;N extends Number&gt;</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.impl"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Classes in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> that implement <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultBigIntegerMatrix</code> is the default implementation of 
 <A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerMatrix.html" title="interface in ch.javasoft.smx.iface"><CODE>BigIntegerMatrix</CODE></A>.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerVector.html" title="class in ch.javasoft.smx.impl">DefaultBigIntegerVector</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultBigIntegerVector</code> ...</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultIntMatrix</code> is the default implementation of IntMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultIntRationalMatrix.html" title="class in ch.javasoft.smx.impl">DefaultIntRationalMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultIntRationalMatrix</code> is the default implementation of
 IntRationalMatrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;class</CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultLongMatrix.html" title="class in ch.javasoft.smx.impl">DefaultLongMatrix</A></B></CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;The <code>DefaultLongMatrix</code> is the default implementation of LongMatrix.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>[][]</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#getNumberRows(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">getNumberRows</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toMultilineString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">toMultilineString</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">toString</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A></CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#toString(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">toString</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;postfix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowPrefix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowPostfix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowSeparator,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colPrefix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colPostfix,
                 <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colSeparator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.OutputStream, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
               <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>protected static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.PrintWriter, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String, java.lang.String)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/PrintWriter.html" title="class or interface in java.io">PrintWriter</A>&nbsp;writer,
               <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;prefix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;postfix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowPrefix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowPostfix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;rowSeparator,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colPrefix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colPostfix,
               <A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/lang/String.html" title="class or interface in java.lang">String</A>&nbsp;colSeparator)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeTo(java.io.Writer, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeTo</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer,
               <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.OutputStream, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/OutputStream.html" title="class or interface in java.io">OutputStream</A>&nbsp;out,
                                 <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>DefaultBigIntegerRationalMatrix.</B><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#writeToMultiline(java.io.Writer, ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">writeToMultiline</A></B>(<A HREF="http://java.sun.com/j2se/1.5.0/docs/api/java/io/Writer.html" title="class or interface in java.io">Writer</A>&nbsp;writer,
                                 <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Constructors in <A HREF="../../../../../ch/javasoft/smx/impl/package-summary.html">ch.javasoft.smx.impl</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD><CODE><B><A HREF="../../../../../ch/javasoft/smx/impl/DefaultBigIntegerRationalMatrix.html#DefaultBigIntegerRationalMatrix(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">DefaultBigIntegerRationalMatrix</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<A NAME="ch.javasoft.smx.ops"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
Uses of <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A> in <A HREF="../../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A></FONT></TH>
</TR>
</TABLE>
&nbsp;
<P>

<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableSubHeadingColor">
<TH ALIGN="left" COLSPAN="2">Methods in <A HREF="../../../../../ch/javasoft/smx/ops/package-summary.html">ch.javasoft.smx.ops</A> with parameters of type <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductL.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductL.html#checkCandidateCol(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;rowResult)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductLE.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLE.html#checkCandidateCol(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;rowResult)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLorEandMoreRowZeros.html#checkCandidateCol(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;zerCnt)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenSumLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenSumLorEandMoreRowZeros.html#checkCandidateCol(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;zerCnt)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;boolean</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiMaxLenLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiMaxLenLorEandMoreRowZeros.html#checkCandidateCol(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int, int, int)">checkCandidateCol</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row,
                                   int&nbsp;col,
                                   int&nbsp;zerCnt)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductL.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductL.html#checkCandidateRow(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductLE.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLE.html#checkCandidateRow(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenProductLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenProductLorEandMoreRowZeros.html#checkCandidateRow(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiLenSumLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiLenSumLorEandMoreRowZeros.html#checkCandidateRow(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>GaussPivoting.BiMaxLenLorEandMoreRowZeros.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/GaussPivoting.BiMaxLenLorEandMoreRowZeros.html#checkCandidateRow(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int, int)">checkCandidateRow</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&lt;<A HREF="../../../../../ch/javasoft/math/BigFraction.html" title="class in ch.javasoft.math">BigFraction</A>&gt;&nbsp;matrix,
                                   int&nbsp;pivot,
                                   int&nbsp;row)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#invert(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">invert</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the inverse of a square matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#invertMaximalSubmatrix(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, int[][], int[][])">invertMaximalSubmatrix</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx,
                                             int[][]&nbsp;ptrRowmap,
                                             int[][]&nbsp;ptrColmap)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the inverse of a submatrix of a non-square or singular square 
 matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#nullity(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">nullity</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the dimension of the nullspace, that is, columns - rank</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#nullspace(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">nullspace</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes a basis for the nullspace using gauss with full pivoting.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;int</CODE></FONT></TD>
<TD><CODE><B>Gauss.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Gauss.html#rank(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">rank</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;mx)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Computes the rank of the given matrix</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;<A HREF="../../../../../ch/javasoft/smx/iface/BigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">BigIntegerRationalMatrix</A></CODE></FONT></TD>
<TD><CODE><B>Transpose.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Transpose.html#transpose(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix)">transpose</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;src)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>static&nbsp;void</CODE></FONT></TD>
<TD><CODE><B>Transpose.</B><B><A HREF="../../../../../ch/javasoft/smx/ops/Transpose.html#transpose(ch.javasoft.smx.iface.ReadableBigIntegerRationalMatrix, ch.javasoft.smx.iface.WritableBigIntegerRationalMatrix)">transpose</A></B>(<A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">ReadableBigIntegerRationalMatrix</A>&nbsp;src,
                   <A HREF="../../../../../ch/javasoft/smx/iface/WritableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface">WritableBigIntegerRationalMatrix</A>&nbsp;dst)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</TD>
</TR>
</TABLE>
&nbsp;
<P>
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../ch/javasoft/smx/iface/ReadableBigIntegerRationalMatrix.html" title="interface in ch.javasoft.smx.iface"><FONT CLASS="NavBarFont1"><B>Class</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Use</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;PREV&nbsp;
&nbsp;NEXT</FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/smx/iface/class-use/ReadableBigIntegerRationalMatrix.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="ReadableBigIntegerRationalMatrix.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
